StopWatch (SLF4J 1.7.4 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.profiler
Class StopWatch

    java.lang.Object
      org.slf4j.profiler.StopWatch

All Implemented Interfaces:
  TimeInstrument

    public class StopWatch

extends Object
implements TimeInstrument

A very basic @{link TimeInstrument} which can be started and stopped once and only once.

Author:
  Ceki Gülcü

Constructor Summary
`StopWatch(String name)`

Method Summary
`long` | `elapsedTime()` Time elapsed between start and stop, in nanoseconds.
`String` | `getName()` All time instruments are named entities.
`org.slf4j.profiler.TimeInstrumentStatus` | `getStatus()`
`void` | `log()` If the time instrument has an associated logger, then log information about this time instrument.
`void` | `print()` Print information about this time instrument on the console.
`void` | `start(String name)` Start tis time instrument.
`TimeInstrument` | `stop()` Stop this time instrument.
`StopWatch` | `stop(long stopTime)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StopWatch

    public StopWatch(String name)

Method Detail

### start

    public void start(String name)

  Description copied from interface: `TimeInstrument`
  Start tis time instrument.

  Specified by:
    `start` in interface `TimeInstrument`

### getName

    public String getName()

  Description copied from interface: `TimeInstrument`
  All time instruments are named entities.

  Specified by:
    `getName` in interface `TimeInstrument`
  Returns:
    the name of this instrument

### stop

    public TimeInstrument stop()

  Description copied from interface: `TimeInstrument`
  Stop this time instrument.

  Specified by:
    `stop` in interface `TimeInstrument`
  Returns:
    this

### stop

    public StopWatch stop(long stopTime)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### elapsedTime

    public final long elapsedTime()

  Description copied from interface: `TimeInstrument`
  Time elapsed between start and stop, in nanoseconds.

  Specified by:
    `elapsedTime` in interface `TimeInstrument`
  Returns:
    time elapsed in nanoseconds

### getStatus

    public org.slf4j.profiler.TimeInstrumentStatus getStatus()

  Specified by:
    `getStatus` in interface `TimeInstrument`

### print

    public void print()

  Description copied from interface: `TimeInstrument`
  Print information about this time instrument on the console.

  Specified by:
    `print` in interface `TimeInstrument`

### log

    public void log()

  Description copied from interface: `TimeInstrument`
  If the time instrument has an associated logger, then log information about this time instrument. Note that `StopWatch` instances cannot log while `Profiler` instances can.

  Specified by:
    `log` in interface `TimeInstrument`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.